<?php 
include("includes/FCKeditor/fckeditor.php");
$file_name		= "index?page=view";
$form_action	= "insert";
$button_value 	= "Add";
$table_name 	= "category";
$page_name      = "Add Category";
$id	 = "";
$vat = "";
$query_string = "";
################################################## START INSERT ##################################################
if(isset($_REQUEST['action']) && $_REQUEST['action'] == 'insert'){	
	utility::addslashesOnAllInput(array("query_string"));
	
    $part_num_category 	= $_REQUEST['part_num_category']; 
    $part_num_internal 	= $_REQUEST['part_num_internal']; 
	
    $sql= "INSERT INTO $table_name (part_num_category,part_num_internal) VALUES('$part_num_category','$part_num_internal')";
    mysqli_query($conn,$sql);
	
	$tmp = ucfirst(str_replace("_"," ", $table_name));
	$_SESSION['info_message'] = "$tmp added sucessfully";
    header("Location: $file_name");
    exit();
}
################################################# END INSERT #################################################

################################################## START EDIT ##################################################
if(isset($_REQUEST['action']) && $_REQUEST['action'] == 'edit'){	
	$id = $_REQUEST['id'];

	$form_action 	= "update";
	$button_value 	= "Update";
	$page_name      = "Edit Category";
	$query_string 	=  (isset($_POST['query_string'])) ? $_POST['query_string'] : $_SERVER['QUERY_STRING'];
	
	
    $sql= "SELECT * FROM $table_name WHERE id = $id";
    $result_edit = mysqli_query($conn,$sql);
    $row_edit = mysqli_fetch_array($result_edit);

	$part_num_category 					= $row_edit['part_num_category']; 
	$part_num_internal 		= $row_edit['part_num_internal']; 
}
################################################# END EDIT ################################################# 


################################################## START UPDATE ################################################## 
if(isset($_REQUEST['action']) && $_REQUEST['action'] == 'update'){    
	utility::addslashesOnAllInput(array("query_string"));
	 
	$id					= $_REQUEST['id'];
	$part_num_category 			= $_REQUEST['part_num_category'];
	$part_num_internal 			= $_REQUEST['part_num_internal'];
	

	$sql= "UPDATE $table_name SET part_num_category = '$part_num_category' ,part_num_internal = '$part_num_internal' WHERE id = $id";
    mysqli_query($conn,$sql);
	
	$query_string = (isset($_REQUEST['query_string']) && !empty($_REQUEST['query_string'])) ? $_REQUEST['query_string'] : "";
  	$query_string = str_ireplace("page=add", "page=view", $query_string);
	$query_string = "&".$query_string;
	$tmp = ucfirst(str_replace("_"," ", $table_name));
	$_SESSION['info_message'] = "$tmp updated sucessfully";
    header("Location: $file_name$query_string");
    exit();
}
################################################# END UPDATE ################################################# 
?>
<style>
em{color:red;font-size: 20px;position: absolute;}
</style>
<section class="content-header">
	<div class="container-fluid">
		<div class="row mb-2">
			<div class="col-sm-6">
				<h1><?=$page_name;?></h1>
			</div>
		</div>
	</div>
</section>
<section class="content">
	<div class="row">
		<div class="col-lg-12">
			<!-- general form elements -->
              <div class="card box-primary">
                <form class="form-horizontal" method="post" name="form1" id="form1" action="index?page=add&action=<? echo $form_action; ?>" onsubmit="return validateForm(this)" enctype="multipart/form-data">
                  <div class="card-body">
                    <div class="form-group">
                      <label for="part_num_category" class="col-sm-2 control-label">Part Number Category<em>*</em></label>
                      <div class="col-sm-12">
                        <input type="text" id="part_num_category" name="part_num_category" value="<?php echo $part_num_category;?>" class="form-control" placeholder="Enter Part Number Category" required>
						<span style="inline:block;color:red;display:none;" id="part_num_category_check"></span>
                      </div>
                    </div>
					<div class="form-group">
                      <label for="part_num_internal" class="col-sm-2 control-label">Part Number Internal<em></em></label>
                      <div class="col-sm-12">
                        <input type="text" id="part_num_internal" name="part_num_internal" value="<?php echo $part_num_internal;?>" class="form-control" placeholder="Enter Part Number Internal" >
                      </div>
                    </div>
                  </div><!-- /.box-body -->
                  <div class="card-footer">
					<input type="hidden" id="id" name="id" value="<?php echo $id;?>">
					<input type="hidden" id="query_string" name="query_string" value="<?php echo $query_string;?>">
                    <button type="submit" id="submit" name="submit" value="<?php echo $button_value;?>" class="btn btn-primary">Submit
						<i class="fas fa-sync-alt fa-spin" style="display:none;" id="page_load_div"></i>
					</button>
                  </div>
                </form>
              </div><!-- /.box -->
		</div>
	</div>
</section>
<script type="text/javascript">
$(document).ready(function(){
	$("#form1").submit(function() {
		$("#submit").attr("disabled", true);
		$('#page_load_div').show();
		//return true;
	});
	$("#form1").on("blur","#part_num_category",function(){	
		var part_num_category = $(this).val();
		var part_num_category = $("#part_num_category").val();
		var id = $("#id").val();
		if(part_num_category != ""){
		var form_data   = {'part_num_category':part_num_category,'id':id};       
			$.ajax({
				async: false,
				type: "POST",
				url: site_url+"/modules/part_num_category/index.php?page=ajax_actions&action=check_part_num_category_exist",
				data: form_data,
				success: function(result){          
					var resultObj = jQuery.parseJSON(result); 
					if(resultObj.status == "failure"){
						//alert("This part_num_category already in system");
						$("#part_num_category_check").show();
						$("#part_num_category_check").html("This part_num_category already in system.");
						//$("#email").val("");
						$("#part_num_category").focus();
					}else{
						$("#part_num_category_check").html("");
						$("#part_num_category_check").hide();
					}
				}
			});
		}
	});
});
</script>